#ifndef __BLUEGATE_A__
#define __BLUEGATE_A__

#ifdef __cplusplus
extern "C"
{
#endif

/* DLL support */
#ifndef ___EXPORT
	#define ___EXPORT
#endif

___EXPORT BOOL BlueGate_Open(int unit);
___EXPORT void BlueGate_Close(int unit);
___EXPORT void BlueGate_CloseAll();
___EXPORT int BlueGate_Find();

___EXPORT ULONG BlueGate_ReadIn(int unit);
___EXPORT ULONG BlueGate_ReadOut(int unit);
___EXPORT ULONG BlueGate_WriteOut(int unit,ULONG data);
___EXPORT void  BlueGate_EnableOut(int unit,BOOL enable);
___EXPORT BOOL BlueGate_ReadInBit(int unit,int bit);
___EXPORT BOOL BlueGate_WriteOutBit(int unit,int bit,BOOL status);
___EXPORT int BlueGate_ReadId(int unit);

___EXPORT ULONG BlueGate_ReadIo(int unit);
___EXPORT ULONG BlueGate_WriteIo(int unit,ULONG data);

___EXPORT void BlueGate_EnableIntr(int unit,BOOL enable);
___EXPORT ULONG BlueGate_WaitForIntr(int unit,ULONG timeout_msec,ULONG *input);
___EXPORT ULONG BlueGate_ReadIntrStatus(int unit);
___EXPORT void BlueGate_SetIntrMask(int unit,ULONG mask);
___EXPORT void BlueGate_ClearIntrStatus(int unit);
___EXPORT BOOL BlueGate_CreateThread(int unit,HWND hwnd,UINT msg);
___EXPORT void BlueGate_CloseThread(int unit);

___EXPORT void BlueGate_Delay(ULONG microsec);


#ifdef __cplusplus
}
#endif

#endif